General :: How To Get Kernel Version From Image File?

Mar 25, 2011

I know that it is possible to get the kernel version from a running system using "uname" command.I have a kernel image file in linux/arch/arm/boot/uImage.Is it possible to get similar information from this image file? and how?

View 6 Replies


ADVERTISEMENT

Debian Installation :: Kernel Version On An Install CD/DVD/image?

Apr 26, 2010

I have the Debian Testing CD1 (20100228). How can I find out the kernel version it will install?

View 4 Replies View Related

General :: Extracting Kernel Config From Kernel Image -- Extract-ikconfig

Jan 22, 2010

I'm trying to run extract-ikconfig because I've mistakenly deleted an old kernel config that I'd like to recover. However, when running the script from the latest (2.6.32.5) tree I run into this error:

Quote:

ERROR: Unable to extract kernel configuration information.

This kernel image may not have the config info.

Coincidentally, this happens with all of my kernel images. Is it a fixable problem? I should really set CONFIG_IKCONFIG_PROC next time..

View 1 Replies View Related

Debian :: File Upload Using Firefox - Smaller Image File Is Previewed While Bigger Image File Is Not

Dec 16, 2015

I am trying to upload some pics on my Facebook account using Firefox. When I click on Facebook's file upload icon, Firefox bring up a 'File Upload' window. I noticed that smaller image file is previewed on the lower right hand corner, while bigger image file is not. Is there anyway I can change this behavior or maybe change what Firefox is using to browse my files?

View 2 Replies View Related

General :: Customized And Create (CD/DVD) Knoppix Image From 6.2 Version?

Nov 17, 2010

I want customized image of knoppix 6.2 version. Please let me know how to customize and create CD/DVD knoppix image.

View 1 Replies View Related

Debian :: Compiling Kernel - 2.6.26 Version Of Kernel Doesn't Longer Exist In Kernel.org Website

Sep 16, 2010

i'm using this guide videos - howto: debian linux kernel compilation, part 1 and the author says i need kernel 2.6.26 this version of kernel doesnt longer exist in kernel.org website and the only 2.6.26 i found is a patch here. should i use the patch? or download another version of kernel?

View 2 Replies View Related

CentOS 5 :: Create New RAM Image File To Get Server Load Raid1 Module Upon Start - Mkinited Error No Kernel Available For 'inited-2.6.18-128.el5"

Nov 12, 2009

I'm trying to create new RAM image file to get my server load raid1 module upon start, I was following redhat documentation & it suggested to use the following command mkinited --with=raid1 inited-raid1-$(uname -r).img $(uname -r) However after running this command I'm getting this message No Kernel available for 'inited-2.6.18-128.el5"

View 4 Replies View Related

General :: Bootable Kernel Image Creation

Apr 20, 2010

the things i've tried:

1. Created an asm bootloader code that calls a c function which just prints a hello message.
2. Compiled both and linked them using LD command using a .ld file available.

Steps followed from http://wiki.osdev.org/Bare_bones.I get a kernel.bin file which is of ELF format. I've set up a tftp server using tftpd32 tool and created the necessary pxelinux.cfg files.

Now how do i create a bootable kernel image out of the elf file. The steps given in the above website to create an image doesn't help.

View 1 Replies View Related

General :: Invalid Or Corrupt Kernel Image

May 5, 2011

I installed unetbootin, and picked linux mint because i heard mint is for beginners.I use HP mini, and connected USB drive.after installation is completed, restart machine, and changed boot order,this was on screen;"Invalid or corrupt kernel image"boot:press tab key for options.

View 1 Replies View Related

General :: Kernel Image For ColdFire Platform?

May 23, 2010

Can you please let me know where to find minimum kernel image for my ColdFire platform to boot from ? Please be informed that at this stage I am not restricted to use an specific Linux distro and just I need to have the minimum kernel image possible size.

View 6 Replies View Related

Ubuntu Installation :: Update For An Older Version Kernel When Using A New Version?

Sep 29, 2010

What happens if you get an update for an older version kernel when you are using a new version?

View 3 Replies View Related

General :: How To Change The Kernel Version

Jan 3, 2011

I want to change my kernel to an older version my current kernel is (2.6.35-24 generic i686 GNU/Linux) I want kernel 2.6.21 or 2.6.31 how can I do it?

View 2 Replies View Related

General :: /dev/sda1 Not Found After Replace With New Kernel Image?

Dec 7, 2010

I used kernel 2.6.5 in vmware I copied new kernel 2.6.37 image and initrd from other machine,to replace the current one after reboot,the initrd.img can be loaded,but soon it report "/dev/sda1 not found, waiting for I need to do anything in initrd.img to make it recognize "/dev/sda1" device? /dev/sda1 is vmware scsi disk.

View 3 Replies View Related

General :: Ubuntu On USB Drive - Could Not Find Kernel Image

Jan 15, 2011

I just downloaded the newest version of Ubuntu onto a USB drive. I put it into my computer and when it was loading Ubuntu, it said "Could not find kernal image: vesamenu.c32".

View 8 Replies View Related

Debian :: Difference Between Kernel Version And Backport Version

Mar 8, 2011

Sometimes a kernel image seems to have the same version as the backported kernel image, for example:
linux-image-2.6.32-bpo.5-amd64
linux-image-2.6.32-5-amd64

What are the differences between the two?

View 5 Replies View Related

Red Hat / Fedora :: Can Upgrade Kernel To Version 2.6 And Glibc To Version 2.5?

Feb 5, 2010

I have a server running Reh Hat Linux 7.3 with kernel 2.4.18. Can i upgrade kernel to version 2.6 and glibc to version 2.5?

View 6 Replies View Related

General :: CentOS 5.3 - Updating To Next Kernel Version

Feb 7, 2010

I have just downloaded CentOS 5.3. The kernel version is 2.6.18.xx However, when I updated the kernel version has not changed. Still 2.6.18. Unless something went wrong with the updates. The most up to date kernel is 2.6.31.xx I was thinking shouldn't it update to this new kernel? On my Fedora 12 I have 2.6.31. However, I thought the kernel of 2.6.18 would have been updated as least a little.

View 4 Replies View Related

General :: /boot Directory And Kernel Version ?

Feb 2, 2011

I have a SuSe 10 sp2 box to administer. explain the significance of the /Boot and how to use the different kernel versions, any best practices and any good to know 'How to's'

View 3 Replies View Related

General :: Version - Reference To A Kernel Info ?

Feb 4, 2011

I am looking to get some information on the version of Linux we are running. I was advised that it was 2.6.18-194.17.4.el5. When I did a search on this and it keeps telling me that is reference to a kernel info. Is this the Linux version or kernel info?

View 6 Replies View Related

General :: Create Device File For Image File?

Sep 8, 2010

Everything in Linux is a file, right? And everything can be represented by a file? Is there some way I could create a block device file that represents (i.e., provides an interface to) this image file? If so, then I could use fdisk on the device file to split it into partitions, format the partitions, and then mount them as directories. I could create a file system within a file system, which would be fun.

View 2 Replies View Related

General :: Using Much Higher Kernel Version Than Installed Headers

Jul 18, 2010

Many here know I distribute alot of live stuff and thus many say I should try to putout as high a kernel version as possible for wireless, netbooks, etc.my questions are about using a much higher kernel version than the installed headers for instance; I use kernel 2.6.34-ZEN in my arch/slackware builds but the slackware version contains headers 2.6.33.4 from slackware and so is that a problem or no?I built the kernel from source using headers 2.6.33.4 in slackware and headers 2.6.34 in arch...now, I may be upgrading those kernels to meerkats 2.6.35-r5 and need to know if having headers 2.6.33.4 is an issue?also, after compiling kernel does it install a new set of headers when you do make modules_install?

View 4 Replies View Related

General :: Cannot Find Kernel Version In /usr/src/linux-2.6.21.5 - Is It Configured

Dec 21, 2010

I'm currently trying to get my wireless card to work with ndiswrapper after installing backtrack4 today, BUT.When I try and use the make command it tells me that some or another file is missing. I've checked and the output is right, There is no file of that name but there is neither a folder of that name.

Code:

root@bt:/usr/src/ndiswrapper-1.56/ndiswrapper-1.56# make
make -C driver
make[1]: Entering directory `/usr/src/ndiswrapper-1.56/ndiswrapper-1.56/driver'

[code]....

View 5 Replies View Related

General :: Installing Ndiswrapper As The Kernel Version Cannot Be Located

Jul 4, 2010

I am trying to install ndiswrapper, and have gotten as far as extracting the .gz file. However, when I type in the "make" command, it returns the error message:

Cannot find kernel version in /usr/src/linux-2.6.21.5, is it configured? Stop.

I do not have anything in the folder /usr/src, so I don't know where it might be. I'd like to install this, so it will make my switch to Linux easier.

View 6 Replies View Related

General :: Installing Ndiswrapper - Cannot Find Kernel Version?

Mar 17, 2010

im trying to install ndiswrapper to get my belkin wireless g pci network card working, but have an error

makefile:34 Cannot find kernel version in /lib/modules/2.6.28-18-generic/build, is it configured?

i have apt-get installed build-essential linux-headers-server

this is on ubuntu server 9.04 32bit version.

View 4 Replies View Related

General :: Running Older Kernel Version - Yum Sees No New One ?

Jun 26, 2010

I'm running a Xen VDS from a hosting company.

I'm trying to update the kernel, because the one that is running is rather "old":

Code:

I try to update the kernel with yum, but fail :

Code:

No Packages marked for Update

Code:

No Packages marked for Update

Code:

So where to get a more up to date kernel?

View 11 Replies View Related

General :: Build A Glibc Version For Target Machine's Kernel?

Jan 8, 2010

AFAIK, in addition to implementing the standard C library, glibc provides wrappers for system calls, threading support, and basic application facilities. So because of that, glibc that will be used on my target system should be built based on the kernel version running on my target, right?

Based on the above, I am trying to build a glibc version for my target machine's kernel. However, I don't know to to build a glibc library for a target system and also where on the target's filesystem should be put? In which location Linux will start looking for the libraries required for a program to run (should I create an /etc/ld.so.conf file)?

View 12 Replies View Related

General :: Find And Display The Kernel Version Booted Into, With The KDE 4.3.5 Desktop?

Mar 22, 2010

With Mandriva 2010 and KDE 4.3.5 it updated to kernel; 2.6.31.12-1mnb and I want to find out if it boots to this new kernel, or the previous one. In the Ubuntu gnome desktop I do know how to find that easy, so what tool or terminal command will display the current running kernel version ?

View 6 Replies View Related

General :: Fedora 14 - Kernel Not Compatible With Latest Version Of VBox

Jan 21, 2011

I have install windows XP and Fedora-14-X86_64 on dual boot, I want to run other OS on fedora by using Virtual machine. I have download and installed VirtaulBox-4.0.0 successfully but I cannot able to start it. I got error about Vbox driver not installed [error code:1908]. I have also installed DKMS package, but also didn't work.

Finally I found the actual problem was kernel not compatible with latest version of vbox and I need to update my kernel-headers. I also meet that solution by using command: yum install binutils gcc make patch libgomp glibc-headers glibc-devel kernel-headers kernel-devel and its work fine, this command download and install the kernel compatible VirtualBox-3.2.* and now its works fine.

But problem is that when I booting my PC, it shows 3 options for entering OS rather then 2.
1. Fedora-14 (2.6.35.10.74.X86_64) [which is new one/updated after using that command]
2. Fedora-14 (2.6.35.6.45fc14.X86_64) [which is new one/updated after using that command]
3. Other [windows XP]
How can i delete that old version- No.2?

View 8 Replies View Related

General :: What Is Kernel Version Required For Installing NFS4 (RHEL)

May 5, 2011

What is the kernel version required for installing NFS4 (RHEL) ??

View 1 Replies View Related

General :: Why After Updating Ubuntu 10.04 Version Kernel Vspace Is Not Working

Apr 23, 2011

i am posting my question in this forum . I was installed Ubuntu 10.04 and installed Vspace software and its working fine but yesterday its collected updates and installed in this after this its saying that this version of kernel is unable to support Vspace

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved